Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class OpenORBInitInfo

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.CORBA.LoggableLocalObject
                  |
                  +--org.openorb.PI.OpenORBInitInfo

All Implemented Interfaces:
  org.apache.avalon.framework.activity.Disposable, FeatureInitInfo, IDLEntity, org.apache.avalon.framework.logger.LogEnabled, Object, ORBInitInfo, ORBInitInfo, ORBInitInfoOperations, java.io.Serializable

public class OpenORBInitInfo
extends LoggableLocalObject
implements ORBInitInfo, FeatureInitInfo, ORBInitInfo, org.apache.avalon.framework.activity.Disposable

This class implements the "ORBInitInfo" interface for PortableInterceptors.

Version:
  $Revision: 1.14 $ $Date: 2002/07/14 18:55:10 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`OpenORBInitInfo(java.lang.String[] args, ORB orb, ORBInitializer[] orbInits, FeatureInitializer[] featureInits)` Set information

Method Summary
`void` | `add_client_request_interceptor(ClientRequestInterceptor interceptor)` This operation is used to add a new client request interceptor
`void` | `add_ior_interceptor(IORInterceptor interceptor)` This operation is used to add a new IOR interceptor
`void` | `add_server_request_interceptor(ServerRequestInterceptor interceptor)` This operation is used to add a new server request interceptor
`int` | `allocate_slot_id()` Return a slot id.
`java.lang.String[]` | `arguments()` Return ORB arguments
`CodecFactory` | `codec_factory()` Return the codec factory
`void` | `dispose()` Called by the ORB Initilizer during shutdown enabling cleanup of pluggable extensions.
`java.lang.Object` | `getFeature(java.lang.String feature)` Get feature.
`ORBLoader` | `getLoader()` Return a reference to the orb loader.
`java.lang.String` | `orb_id()` Return ORB ID.
`ORB` | `orb()` Return an orb instance.
`void` | `post_init()` Calls init on feature initializers and post init on orb initializers.
`void` | `pre_init()` Call pre-init on the orb initializers
`void` | `register_initial_reference(java.lang.String id, Object obj)` Register a new initial reference.
`void` | `register_policy_factory(int type, PolicyFactory policy_factory)` This operation is used to register a policy factory
`Object` | `resolve_initial_references(java.lang.String id)` Resolve an initial reference
`void` | `setFeature(java.lang.String feature, java.lang.Object reference)` Set a feature.

Methods inherited from class org.openorb.CORBA.LoggableLocalObject
`enableLogging`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### OpenORBInitInfo

    public OpenORBInitInfo(java.lang.String[] args,
                           ORB orb,
                           ORBInitializer[] orbInits,
                           FeatureInitializer[] featureInits)

  Set information

Method Detail

### pre_init

    public void pre_init()

  Call pre-init on the orb initializers
  Specified by:
    `pre_init` in interface `ORBInitInfo`

### post_init

    public void post_init()

  Calls init on feature initializers and post init on orb initializers. During the post_init phase, calls can be made on references returned from resolve_initial_reference, however client interceptors will not be used, the PICurrent will not have any active slots, and IORs cannot be constructed.
  Specified by:
    `post_init` in interface `ORBInitInfo`

### orb

    public ORB orb()

  Return an orb instance.
  Specified by:
    `orb` in interface `FeatureInitInfo`

### getLoader

    public ORBLoader getLoader()

  Return a reference to the orb loader. This is a shortcut to orb().getLoader().
  Specified by:
    `getLoader` in interface `FeatureInitInfo`

### setFeature

    public void setFeature(java.lang.String feature,
                           java.lang.Object reference)

  Set a feature.
  Specified by:
    `setFeature` in interface `FeatureInitInfo`

### getFeature

    public java.lang.Object getFeature(java.lang.String feature)

  Get feature.
  Specified by:
    `getFeature` in interface `FeatureInitInfo`

### arguments

    public java.lang.String[] arguments()

  Return ORB arguments
  Specified by:
    `arguments` in interface `ORBInitInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.ORBInitInfoOperations`
  Returns:
    the attribute value

### orb_id

    public java.lang.String orb_id()

  Return ORB ID.
  Specified by:
    `orb_id` in interface `ORBInitInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.ORBInitInfoOperations`
  Returns:
    the attribute value

### codec_factory

    public CodecFactory codec_factory()

  Return the codec factory
  Specified by:
    `codec_factory` in interface `ORBInitInfoOperations`
  Following copied from interface: `org.omg.PortableInterceptor.ORBInitInfoOperations`
  Returns:
    the attribute value

### register_initial_reference

    public void register_initial_reference(java.lang.String id,
                                           Object obj)
                                    throws InvalidName

  Register a new initial reference.
  Specified by:
    `register_initial_reference` in interface `ORBInitInfoOperations`

### resolve_initial_references

    public Object resolve_initial_references(java.lang.String id)
                                      throws InvalidName

  Resolve an initial reference
  Specified by:
    `resolve_initial_references` in interface `ORBInitInfoOperations`

### add_client_request_interceptor

    public void add_client_request_interceptor(ClientRequestInterceptor interceptor)
                                        throws DuplicateName

  This operation is used to add a new client request interceptor
  Specified by:
    `add_client_request_interceptor` in interface `ORBInitInfoOperations`

### add_server_request_interceptor

    public void add_server_request_interceptor(ServerRequestInterceptor interceptor)
                                        throws DuplicateName

  This operation is used to add a new server request interceptor
  Specified by:
    `add_server_request_interceptor` in interface `ORBInitInfoOperations`

### add_ior_interceptor

    public void add_ior_interceptor(IORInterceptor interceptor)
                             throws DuplicateName

  This operation is used to add a new IOR interceptor
  Specified by:
    `add_ior_interceptor` in interface `ORBInitInfoOperations`

### allocate_slot_id

    public int allocate_slot_id()

  Return a slot id.
  Specified by:
    `allocate_slot_id` in interface `ORBInitInfoOperations`

### register_policy_factory

    public void register_policy_factory(int type,
                                        PolicyFactory policy_factory)

  This operation is used to register a policy factory
  Specified by:
    `register_policy_factory` in interface `ORBInitInfoOperations`

### dispose

    public void dispose()

  Called by the ORB Initilizer during shutdown enabling cleanup of pluggable extensions.
  Specified by:
    `dispose` in interface `org.apache.avalon.framework.activity.Disposable`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD